%global momorel 1
%global realname c-comment-edit
%global emacsver 22.0.50
%global e_sitedir %{_datadir}/emacs/site-lisp

Summary: C comment edit mode for Emacs.
Name:       elisp-%{realname}
Version:    1.02
Release:    %{momorel}m
License:    GPL
Group:      Applications/Editors
Source0: http://www.wonderworks.com/download/%{realname}.el
URL:     http://www.wonderworks.com/
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: emacs >= %{emacsver}
Requires: emacsen

%description
C/C++ type comment edit mode for Emacs.

%package -n %{realname}-emacs
Group:      Applications/Editors
Summary: C comment edit mode for Emacs.
Requires: emacs >= %{emacsver}

%description -n %{realname}-emacs
C/C++ type comment edit mode for Emacs.

%prep

%setup -qTc
%{__rm} -rf %{buildroot}
%__cp %{S:0} .

%build
emacs -q -batch -f batch-byte-compile %{realname}.el

%install
%{__rm} -rf %{buildroot}
%__mkdir -p -m 0755 %{buildroot}/%{e_sitedir}/%{realname}
%__install -m 0644 %{realname}.el %{buildroot}/%{e_sitedir}/%{realname}/%{realname}.el
%__install -m 0644 %{realname}.elc %{buildroot}/%{e_sitedir}/%{realname}/%{realname}.elc

%clean
%{__rm} -rf %{buildroot}

%files -n %{realname}-emacs
%defattr(-, root,root)
%dir %{e_sitedir}/%{realname}
%{e_sitedir}/%{realname}/%{realname}.el*

%changelog
* Sat Dec 24 2005 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.02-1m)
- Initial specfile
